<!--
    Input:
        vendor/dolby/dax311/ds/service/hidl/dms/2.1/default/dax_framework_compatibility_matrix_hidl.xml
        device/moto/cancunn/mssi/framework_compatibility_matrix.xml
        device/moto/common/system/moto_framework_compatibility_matrix.xml
        vendor/mobicore/build_config/framework_compatibility_matrix.xml
        device/moto/cancunn/mssi/fingerprint/framework_compatibility_matrix_IMoto_Fingerprint.xml
        device/moto/common/audioradar/audioradar_compatibility_matrix.xml
-->
<compatibility-matrix version="8.0" type="framework">
    <hal format="aidl" optional="true">
        <name>android.hardware.biometrics.fingerprint</name>
        <interface>
            <name>IFingerprint</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>android.hardware.biometrics.fingerprint</name>
        <version>2.3</version>
        <interface>
            <name>IBiometricsFingerprint</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.biometric.fingerprint</name>
        <version>1.0</version>
        <interface>
            <name>IMotoFingerPrint</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IMotoFingerPrintSensorTest</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>com.motorola.hardware.biometric.fingerprint</name>
        <version>1-3</version>
        <interface>
            <name>IMotoCaptiveSensorTest</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IMotoFingerPrint</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>IMotoFpsNavigate</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.biometric.fingerprint</name>
        <version>1.0</version>
        <interface>
            <name>IMotoFingerPrint</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.display.panel</name>
        <version>1.0-2</version>
        <interface>
            <name>IDisplayPanel</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.display.panel</name>
        <version>1.0-1</version>
        <interface>
            <name>IDisplayPanel</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>com.motorola.hardware.display.panel</name>
        <interface>
            <name>IDisplayPanel</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.display.rollable</name>
        <version>1.0</version>
        <interface>
            <name>IRollableDisplay</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.display.stylus</name>
        <version>1.0-1</version>
        <interface>
            <name>IMotStylus</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>com.motorola.hardware.display.stylus</name>
        <interface>
            <name>IMotStylus</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>com.motorola.hardware.display.touch</name>
        <version>1.0-4</version>
        <interface>
            <name>IMotTouch</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>com.motorola.hardware.display.touch</name>
        <version>1-3</version>
        <interface>
            <name>IMotTouch</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>com.motorola.hardware.ifaa</name>
        <interface>
            <name>IIFAADevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>com.motorola.multimodal.npu</name>
        <interface>
            <name>IMotNNRuntime</name>
            <instance>virtual</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.audio.adspd</name>
        <version>1.0</version>
        <interface>
            <name>IADSP</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.audio.radar</name>
        <version>1.0</version>
        <interface>
            <name>IAudioRadar</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.audio.radar2</name>
        <interface>
            <name>IAudioRadar</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.camera.desktop</name>
        <version>1.0</version>
        <version>2.0</version>
        <interface>
            <name>ICameraDesktop</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.camera.imgtuner</name>
        <version>1.0</version>
        <version>2.0</version>
        <interface>
            <name>IImageTuning</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.camera.imgtuner.aidl</name>
        <interface>
            <name>IImageTuning</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.fdr</name>
        <interface>
            <name>IFdrControl</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.fdrcontrol</name>
        <version>1.2</version>
        <interface>
            <name>IFdrControl</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.fdrcontrol</name>
        <version>1.0-2</version>
        <interface>
            <name>IFdrControl</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.fm</name>
        <interface>
            <name>IMotFMRadio</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.fmradio</name>
        <version>1.0</version>
        <interface>
            <name>IMotFMRadio</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.haptic</name>
        <version>1-2</version>
        <interface>
            <name>IMotHaptic</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.health</name>
        <version>2.0</version>
        <interface>
            <name>IMotHealth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.health</name>
        <interface>
            <name>IMotoHealth</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.health.storage</name>
        <version>1.0</version>
        <interface>
            <name>IMotStorage</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.health.storage</name>
        <interface>
            <name>IMotStorage</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.input</name>
        <version>1.0-1</version>
        <interface>
            <name>IMotInput</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.light</name>
        <version>1.0</version>
        <interface>
            <name>IMotLight</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.mtk.fm</name>
        <interface>
            <name>IFM</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.paramupdater</name>
        <version>1.0</version>
        <interface>
            <name>IParamUpdater</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.power</name>
        <interface>
            <name>IPowerExt</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.sarwifi</name>
        <interface>
            <name>IMtkWifi</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.sensors</name>
        <version>1-2</version>
        <interface>
            <name>ISensorExt</name>
            <instance>default</instance>
        </interface>
        <interface>
            <name>ISensorsCalibrate</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.sensorscalibrate</name>
        <version>1.0</version>
        <interface>
            <name>ISensorsCalibrate</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.sxf</name>
        <version>1-2</version>
        <interface>
            <name>IMotoSxf</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.uwb</name>
        <version>1.0</version>
        <interface>
            <name>IMotUwb</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.vibrator</name>
        <version>1.0</version>
        <interface>
            <name>IMotVibrator</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.wifi.hostapd</name>
        <version>1.0</version>
        <interface>
            <name>IHostapdMot</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.wifi.supplicant</name>
        <version>1.0</version>
        <interface>
            <name>ISupplicantMot</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.wifi.supplicant</name>
        <version>1.0-1</version>
        <interface>
            <name>ISupplicantMot</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.wireless.powershare</name>
        <version>1.0</version>
        <version>2.0</version>
        <interface>
            <name>IMotPowerShare</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.wireless.powershare</name>
        <version>1-2</version>
        <interface>
            <name>IMotPowerShare</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>motorola.hardware.wireless.wlc</name>
        <version>1.0</version>
        <version>2.0</version>
        <interface>
            <name>IMotWlc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>motorola.hardware.wireless.wlc</name>
        <interface>
            <name>IMotWlc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.arcsoft.hardware.camera.postproc</name>
        <interface>
            <name>IPostProcService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.dolby.hardware.dms</name>
        <version>2.1</version>
        <interface>
            <name>IDms</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.egistec.hardware.fingerprint</name>
        <version>4.0</version>
        <interface>
            <name>IBiometricsFingerprintRbs</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.goodix.hardware.biometrics.fingerprint</name>
        <version>2.1</version>
        <interface>
            <name>IGoodixFingerprintDaemon</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.nxp.hardware.uwb</name>
        <version>1.0</version>
        <interface>
            <name>IUwb</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.nxp.nxpnfc</name>
        <version>2.0</version>
        <interface>
            <name>INxpNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.nxp.nxpnfc_aidl</name>
        <interface>
            <name>INxpNfc</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.nxp.nxpnfclegacy</name>
        <version>1.0</version>
        <interface>
            <name>INxpNfcLegacy</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.trustonic.alps.alps_device</name>
        <version>1.1</version>
        <interface>
            <name>IAlps</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.trustonic.tee</name>
        <version>1.1</version>
        <interface>
            <name>ITee</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.trustonic.tee.tui</name>
        <version>1.0</version>
        <interface>
            <name>ITui</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.trustonic.teeregistry</name>
        <version>1.0</version>
        <interface>
            <name>ITeeRegistry</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.zui.hardware.ifaa</name>
        <version>1.0</version>
        <interface>
            <name>IIFAADevice</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl" optional="true">
        <name>vendor.zuialarm.hardware.alarm</name>
        <version>1.0</version>
        <interface>
            <name>IAlarm</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="aidl" optional="true">
        <name>vendor.zuialarm.hardware.alarm</name>
        <interface>
            <name>IAlarm</name>
            <instance>default</instance>
        </interface>
    </hal>
</compatibility-matrix>
